Program

{ Version
  File:[22,310] SNDRCV.PAS
  Author: Jim Bostwick 
  History: 8-Nov-83  R.A.B. This is complementary to TSTSNDRCV.PAS


Testing P3UTIL module(s): SDAT, RCVD

}

{$nolist}
{[a+,b+,l-,k+,r+] Pasmat }
%INCLUDE 'EX:[22,320]GENERAL3.TYP';
%INCLUDE 'EX:[22,320]SDAT.EXT';
%INCLUDE 'EX:[22,320]RCVD.EXT';
%INCLUDE 'EX:[22,320]]DIRERR.EXT';
%INCLUDE 'EX:[22,320]]CATR56.EXT';
{$list}

VAR
BUFFER:CH26;
RADNAM, FONAM:RAD56;
OFOO,IFOO:BOOLEAN;

BEGIN
  CATR56('TSTS&R',RADNAM);
  RCVD(RADNAM,BUFFER,IDS);
  IFOO := DIRERR('RCVD S&R ', IDS);
  IF NO IFOO THEN

  WRITELN(' GOT THIS FROM TSTS&R:',BUFFER)
  BUFFER[26] := '*';
  WRITELN(' GOING TO SEND TSTS&R SAME THING WITH A "*" ON THE END');
  SDAT(RADNAM,BUFFER,f0,IDS);  
  OFOO := DIRERR('SDAT S&R ', IDS);
END.
